Subject: [Anima] functional differences for constrained voucher

From: Michael Richardson <[email-masked]>
Date: Tue, 24 Jul 2018 18:45:11 -0400

Toerless asked, aside from the encoding differences, are there differences
between CMS-signed JSON and COSE-signed CBOR in voucher definitions.

a) RFC8366 vouchers can contain additional anchors (see other email)
   and thus can have intermediate CAs.
   
b) RFC8366 vouchers are pinned to a PKIX key, while constrained vouchers are
   (optionally) pinned to a Raw Public Key.

-- 
]               Never tell me the odds!                 | ipv6 mesh networks [ 
]   Michael Richardson, Sandelman Software Works        | network architect  [ 
]     [email-masked]  http://www.sandelman.ca/        |   ruby on rails    [